import { Locator } from "@playwright/test";
import { Atom } from "../../atom";
export declare class CheckboxAtom extends Atom {
    static CSS_CLASS: string;
    get getInputElement(): Locator;
    get getLabel(): Locator;
    get getContent(): Locator;
    get getHelpHintText(): Locator;
    hoverLink: () => Promise<void>;
    isIndeterminate: () => Promise<void>;
    isRequired: () => Promise<boolean>;
    isDisabled: () => Promise<boolean>;
    isChecked: () => Promise<boolean>;
    toBeChecked: () => Promise<void>;
    toNotBeChecked: () => Promise<void>;
    /**
     * Toggle the checkbox value
     *
     * @returns {Promise<void>}
     */
    toggle: () => Promise<void>;
    /**
     * Sets the checkbox value to the given value
     *
     * @param {boolean} checked
     * @returns {Promise<void>}
     */
    setChecked(checked: boolean): Promise<void>;
    private getMark;
    private getLink;
    toBeDisabled(): Promise<void>;
    toBeEnabled(): Promise<void>;
}
